Hooks:PostHook(TweakDataVR, "init", "brennerleftie_init_grippoints_tweak", function(self, tweak_data)

    local hk21_leftiegrip_assist = {
        overrides = {
			[1] = { -- First grip point is the angled foregrip, swap it for the leftie version
				position = Vector3(4.5, 39, 3.2)
			},
            [2] = { -- Second grip point thats on the Brenner mag. If theyre using a leftie grip then this might as well get swapped over too.
                position = Vector3(9.5, 17, -3.8)
            }
        }
    }

    -- Grip point is the same for both the long and short foregrips
    self.weapon_assist.weapons.hk21.weapon_mods = {
        wpn_fps_lmg_hk21_fg_long_leftie = hk21_leftiegrip_assist,
        wpn_fps_lmg_hk21_fg_short_leftie = hk21_leftiegrip_assist
    }

end)